Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/social/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/social/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}
'import requests
url = "https://api.aisa.one/apis/v1/social/custom-fields"
payload = {
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'example', profileId: 'prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4', type: 'text'})
};
fetch('https://api.aisa.one/apis/v1/social/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'example',
'profileId' => 'prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4',
'type' => 'text'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/custom-fields"
payload := strings.NewReader("{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/social/custom-fields")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/custom-fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}"
response = http.request(request)
puts response.read_body{
"field": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"options": [
"<string>"
],
"slug": "<string>",
"type": "text"
},
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}AIsa Social
Create custom field
Custom Fields. Changes your own setup; needs social:draft. Audited. Ids are yours: accounts acc_..., profiles prf_..., posts pst_...; every other object id is checked against your accounts before the call.
Create a new custom field definition. Supported types are text, number, date, boolean, and select.
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
social
/
custom-fields
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/social/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/social/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}
'import requests
url = "https://api.aisa.one/apis/v1/social/custom-fields"
payload = {
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'example', profileId: 'prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4', type: 'text'})
};
fetch('https://api.aisa.one/apis/v1/social/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'example',
'profileId' => 'prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4',
'type' => 'text'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/custom-fields"
payload := strings.NewReader("{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/social/custom-fields")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/custom-fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"example\",\n \"profileId\": \"prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4\",\n \"type\": \"text\"\n}"
response = http.request(request)
puts response.read_body{
"field": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"options": [
"<string>"
],
"slug": "<string>",
"type": "text"
},
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}请求规范
- 方法与路径: POST /apis/v1/social/custom-fields
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/social/custom-fields - Runtime 事实版本: 99acb5bddbedc8d3352e7c4fef86c3e6d8852c14772bcd18dbcf415237a642bd
{
"operationId": "post_aisa_social_apis_v1_social_custom_fields",
"method": "POST",
"path": "/apis/v1/social/custom-fields",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"example": {
"name": "example",
"profileId": "prf_2Bn8Wq5Td1Yh7Kc3Mz9Lp4",
"type": "text"
},
"schema": {
"properties": {
"name": {
"type": "string"
},
"options": {
"description": "Required for select type",
"items": {
"type": "string"
},
"type": "array"
},
"profileId": {
"description": "One of your profiles (prf_...).",
"pattern": "^prf_[0-9A-Za-z]{22}$",
"type": "string"
},
"slug": {
"description": "Auto-generated from name if not provided",
"type": "string"
},
"type": {
"enum": [
"text",
"number",
"date",
"boolean",
"select"
],
"type": "string"
}
},
"required": [
"name",
"profileId",
"type"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"description": "Included with your connected social accounts: AIsa does not charge per call.",
"kind": "no_customer_charge"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json